Query the Information of an IP Phone
Query the auto provisioning information of a specific IP phone.
Request URL
GET {base_url}/{api_path}/phone/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the IP phone.Note:You can query the phone's ID using Search Specific IP Phones. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array<Phone_Details> | The detailed information of the IP phone. |
Phone_Details
| Parameter | Type | Description |
|---|---|---|
| mac | String | The MAC address of the IP phone. |
| vendor | String | Phone vendor. |
| model | String | Phone model. |
| onsite_proxy_uuid | String | The UUID of associated Onsite Proxy instance. |
| template_name | String | The name of the provisioning template applied to the IP phone. |
| provisioning_method | String | The provisioning method of the IP phone.
|
| provisioning_link | String | The provisioning link for the IP phone. |
| enb_rps_auth | Integer | Whether authentication for the first-time auto provisioning is enabled when using RPS or RPS FQDN provisioning method.
|
| assigned_extension | String | The unique ID of the extension assigned to the IP phone. |
| id | Integer | The unique ID of the IP phone. |
| rps_pin | String | RPS PIN for Yealink phones provisioned via RPS method, which can be entered on the phone device to complete the RPS provisioning process if required. |
Examples
Request example
Query the auto provisioning information of an IP phone (ID: 4).
GET /openapi/v1.0/phone/get?access_token=wyzVFisp8XmFhiJTlpRmt2LxAuzELh5X&id=4 HTTP/1.1 Host: 192.168.5.150:8088 User-Agent: OpenAPI
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"mac": "11:55:44:66:33:22",
"vendor": "Yealink",
"model": "SIP-CP960",
"onsite_proxy_uuid": "",
"template_name": "YSDP_YealinkCP",
"provisioning_method": "pnp",
"provisioning_link": "http://192.168.5.150:7778/api/autoprovision/6gEzigLFhMGntjd8",
"enb_rps_auth": 0,
"assigned_extension": "6",
"id": 4,
"rps_pin": ""
}
}